Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba.sql
Class MsqlDatabase

    java.lang.Object
      org.makumba.db.makumba.Database
          org.makumba.db.makumba.sql.Database
              org.makumba.db.makumba.sql.MsqlDatabase

    public class MsqlDatabase

extends Database

The msql particularities of the database

Field Summary

Fields inherited from class org.makumba.db.makumba.sql.Database
`addUnderscore, catalog, connectionConfig, DESIRED_TRANSACTION_LEVEL, eng, sqlDrivers, types, url`

Fields inherited from class org.makumba.db.makumba.Database
`connections, nr, requestForeignKeys, requestUTF8, tp`

Constructor Summary
`MsqlDatabase(Properties p)` simply calls super

Method Summary
`protected void` | `checkState(SQLException e, String state)` the imaginary jdbc driver does not return sql states...
`protected String` | `getTableName(String s)` msql doesn't accept underscores as first char of table name

Methods inherited from class org.makumba.db.makumba.sql.Database
`checkState, exec, getEngine, getEngineProperty, getJdbcUrl, getLimitSyntax, getMaxPointerValue, getMinPointerValue, getNameResolverHook, getPointer, getTableClass, getTableClassConfigured, isDuplicateException, isForeignKeyViolationException, isLimitOffsetFirst, logException, logException, logException, makeDBConnection, OQLDate, parseReadableForeignKeyErrorMessage, prepareQueryImpl, prepareUpdateImpl, readCatalog, SQLEscape, supportsForeignKeys, supportsLimitInQuery, supportsUTF8`

Methods inherited from class org.makumba.db.makumba.Database
`checkForeignKeys, close, closeConnections, copyFrom, copyFrom, copyFrom, copyFrom, copyFrom, deleteFrom, deleteFrom, deleteFrom, deleteFrom, finalize, findConfig, getConfiguration, getConfigurationProperties, getDBConnection, getDBConnection, getDbsv, getFieldNameInSource, getName, getNameResolver, getTable, getTable, getTypeNameInSource, initConnections, isAutoIncrement, makePseudoTable, openTable, openTables, usesHibernateIndexes`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsqlDatabase

    public MsqlDatabase(Properties p)

  simply calls super

Method Detail

### getTableName

    protected String getTableName(String s)

  msql doesn't accept underscores as first char of table name

### checkState

    protected void checkState(SQLException e,
                              String state)

  the imaginary jdbc driver does not return sql states... we just let every state pass, but print the exception

  Overrides:
    `checkState` in class `Database`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20